
QGIS Application - Bug report #1904

GRASS plugin crashes QGIS trying to open location from folder with cyrillics

2009-08-28 02:27 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11964

Description

subj

example folder name:

C:\\temp\\куку\\PERMANENT

Associated revisions

Revision f228d685 - 2011-02-20 07:10 PM - Giuseppe Sucameli

fix #1904

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15223 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a1887c3f - 2011-02-20 07:10 PM - Giuseppe Sucameli

fix #1904

git-svn-id: http://svn.osgeo.org/qgis/trunk@15223 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-28 03:03 PM - Giovanni Manghi

confirmed also under linux

#2 - 2009-09-16 12:19 AM - Paolo Cavallini

Please chack again after commit:43408110 (SVN r11561), which might fix it

#3 - 2009-09-16 08:36 AM - Maxim Dubinin

Now it doesn't crash, but if you choose such location

http://gis-lab.info/images/screenshots/20090916--13kb.jpg

it will complain
http://gis-lab.info/images/screenshots/20090916-njh-8kb.jpg

but will load data from it, but only rasters

http://gis-lab.info/images/screenshots/20090916-i8u-14kb.jpg

vectors cannot be opened

http://gis-lab.info/images/screenshots/20090916-7c5-8kb.jpg

#4 - 2009-09-16 08:38 AM - Maxim Dubinin

sorry, it is a mess with those [BR]s, still don't understand why simple <enter> doesn't work as a new line in trac

#5 - 2009-09-16 08:40 AM - Maxim Dubinin

ah, and btw I'm using 11659

#6 - 2009-12-27 08:13 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:53e47794 (SVN r12626).

#7 - 2009-12-31 11:24 AM - Maxim Dubinin

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

This is still not working in , note the change in pic2

http://gis-lab.info/images/screenshots/20091231-23r-8kb.jpg

#8 - 2010-01-02 06:31 AM - Jürgen Fischer

Replying to [comment:7 gislab]:

This is still not working in , note the change in pic2

http://gis-lab.info/images/screenshots/20091231-23r-8kb.jpg

Works on Linux for me now, but GRASS itself doesn't seem to work with cyrillic characters on Windows either.  So this might be a general GRASS issue.

#9 - 2010-03-25 02:38 AM - Redmine Admin

GRASS 6.4.0 wxpython seems to work with non ascii chars in gisbase name but qgis does not.
I have tried to enable toLocal8Bit instead of toUtf8 on win in r:13158.

To be checked with next build.

#10 - 2010-03-29 08:51 AM - Maxim Dubinin

I'm afraid that didn't help (commit:bcef7bbd (SVN r13188)).

After selection the location and clicking OK I've got an error:

http://gis-lab.info/images/screenshots/20100329-388-11kb.jpg

#11 - 2010-04-20 10:04 AM - Redmine Admin

From GRASS list about non ascii support:

http://lists.osgeo.org/pipermail/grass-dev/2010-March/049830.html

http://lists.osgeo.org/pipermail/grass-dev/2010-April/050129.html

#12 - 2011-02-20 10:11 AM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:a1887c3f (SVN r15224)
